- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# FbxCharPtrSet Class Reference

Search for all occurrences

## Detailed Description

This class contains the data structure support for char pointer set.

Definition at line 24 of file fbxcharptrset.h.

`#include <fbxcharptrset.h>`

List of all members.

## Classes
struct | CharPtrSet
## Public Member Functions
| FbxCharPtrSet (int pItemPerBlock=FBXSDK_CHARPTRSET_SIZE)
| Class constructor.
| ~FbxCharPtrSet ()
| Class destructor.
void | Add (const char *pReference, FbxHandle pItem)
| Add a new item.
bool | Remove (const char *pReference)
| Removes an item.
FbxHandle | Get (const char *pReference, int *PIndex=NULL)
| Get an item's reference.
FbxHandle & | operator[] (int pIndex)
| Get an item's reference from index.
FbxHandle | GetFromIndex (int pIndex, const char **pReference=NULL)
| Get an item's reference from index.
void | RemoveFromIndex (int pIndex)
| Removes an item by index.
int | GetCount () const
| Get the number of item in the array.
void | Sort ()
| Sorts the array.
void | Clear ()
| Clears the array.
void | SetCaseSensitive (bool pIsCaseSensitive)

## Constructor & Destructor Documentation

FbxCharPtrSet | ( | int | pItemPerBlock = `FBXSDK_CHARPTRSET_SIZE` | ) |

Class constructor.

Parameters:

  pItemPerBlock | Number of item per block. Default is 20.

~FbxCharPtrSet | ( |  | ) |

Class destructor.

## Member Function Documentation

void Add | ( | const char * | pReference,
|  | FbxHandle | pItem
| ) |  |

Search for all occurrences

Add a new item.

Parameters:

  pReference | char pointer reference to the item.
  pItem | FbxHandle to the item.

bool Remove | ( | const char * | pReference | ) |

Search for all occurrences

Removes an item.

Parameters:

  pReference | char reference to the item.

Returns:
  true if successful.

FbxHandle Get | ( | const char * | pReference,
|  | int * | PIndex = `NULL`
| ) |  |

Search for all occurrences

Get an item's reference.

Parameters:

  pReference | char reference to the item.
  PIndex | index to the item.

Returns:
  FbxHandle to the item, NULL if fails.

FbxHandle& operator[] | ( | int | pIndex | ) |

Get an item's reference from index.

Parameters:

  pIndex | index to the item.

Returns:
  FbxHandle to the item, NULL if fails.

FbxHandle GetFromIndex | ( | int | pIndex,
|  | const char ** | pReference = `NULL`
| ) |  |

Search for all occurrences

Get an item's reference from index.

Parameters:

  pIndex | index to the item.
  pReference | char reference to the item.

Returns:
  FbxHandle to the item, NULL if fails.

void RemoveFromIndex | ( | int | pIndex | ) |

Search for all occurrences

Removes an item by index.

Parameters:

  pIndex | index to the item.

int GetCount | ( |  | ) | const `[inline]`

Search for all occurrences

Get the number of item in the array.

Definition at line 77 of file fbxcharptrset.h.

    { return mCharPtrSetCount; }

void Sort | ( |  | ) |

Search for all occurrences

Sorts the array.

void Clear | ( |  | ) |

Search for all occurrences

Clears the array.

void SetCaseSensitive | ( | bool | pIsCaseSensitive | ) | `[inline]`

Search for all occurrences

Definition at line 99 of file fbxcharptrset.h.

    {mIsCaseSensitive=pIsCaseSensitive;}

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxcharptrset.h

FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet
FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet FbxCharPtrSet